package de.ozgcloud.apilib.file.grpc;

import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.apilib.file.OzgCloudFile;
import de.ozgcloud.apilib.vorgang.OzgCloudFileIdMapper;
import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;
import de.ozgcloud.vorgang.vorgang.GrpcIncomingFile;

@Mapper(uses = { OzgCloudFileIdMapper.class },
	unmappedTargetPolicy = ReportingPolicy.WARN,
	nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS
)
public interface OzgCloudFileMapper {

	OzgCloudFile fromGrpc(GrpcOzgFile grpcFile);

	OzgCloudFile fromIncomingFile(GrpcIncomingFile grpcFile);

}
