package de.ozgcloud.apilib.vorgang;

import java.util.List;

import de.ozgcloud.apilib.file.OzgCloudFileTestFactory;
import de.ozgcloud.apilib.vorgang.grpc.OzgCloudFileGroupTestFactory;

public class OzgCloudVorgangEingangTestFactory {

	public static final String FIELD_NAME = "firstname";
	public static final String FIELD_LABEL = "Firstname";
	public static final String FIELD_VALUE = "Klaus";

	public static final String SUB_FORM_NAME = "address";
	public static final String SUB_FORM_LABEL = "Address";
	public static final String SUB_FORM_FIELD_NAME = "street";
	public static final String SUB_FORM_FIELD_LABEL = "Street";
	public static final String SUB_FORM_FIELD_VALUE = "Mainstreet 5";

	public static OzgCloudEingang create() {
		return createBuilder().build();
	}

	public static OzgCloudEingang.OzgCloudEingangBuilder createBuilder() {
		return OzgCloudEingang.builder()
				.header(OzgCloudEingangHeaderTestFactory.create())
				.antragsteller(OzgCloudAntragstellerTestFactory.create())
				.zustaendigeStelle(OzgCloudZustaendigeStelleTestFactory.create())
				.attachment(OzgCloudFileGroupTestFactory.create())
				.representation(OzgCloudFileTestFactory.create())
				.formDataEntrys(createFormData());
	}

	public static List<OzgCloudFormDataEntry> createFormData() {
		return List.of(
			OzgCloudFormField.builder().name(FIELD_NAME).label(FIELD_LABEL).value(FIELD_VALUE).build(),
			OzgCloudSubForm.builder().name(SUB_FORM_NAME).label(SUB_FORM_LABEL)
				.formEntry(OzgCloudFormField.builder()
					.name(SUB_FORM_FIELD_NAME)
					.label(SUB_FORM_FIELD_LABEL)
					.value(SUB_FORM_FIELD_VALUE).build())
				.build());
	}
}
