package de.ozgcloud.apilib.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.apilib.user.OzgCloudUserId;

public class OzgCloudVorgangHeaderTestFactory {

	public static final String STATUS_STR = "WORKING";
	public static final OzgCloudVorgangStatus STATUS = OzgCloudVorgangStatus.from(STATUS_STR);
	public static final String CREATED_AT_STR = "2023-04-01T10:00:15Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String USER_ID_STR = UUID.randomUUID().toString();
	public static final OzgCloudUserId USER_ID = OzgCloudUserId.from(USER_ID_STR);
	public static final String AKTENZEICHEN = "DE_12345_XY";

	public static OzgCloudVorgangHeader create() {
		return createBuilder().build();
	}

	public static OzgCloudVorgangHeader.OzgCloudVorgangHeaderBuilder createBuilder() {
		return OzgCloudVorgangHeader.builder()
				.status(STATUS)
				.createdAt(CREATED_AT)
				.assignedTo(USER_ID)
				.aktenzeichen(AKTENZEICHEN)
				.serviceKonto(OzgCloudServiceKontoTestFactory.create());
	}
}
