package de.ozgcloud.apilib.vorgang.grpc;

import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangRequest;
import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangRequest.Builder;
import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangRequest.GrpcOrderBy;
import de.ozgcloud.vorgang.vorgang.GrpcQuery;

public class GrpcFindVorgangRequestTestFactory {

	private static final GrpcOrderBy ORDER_BY = GrpcOrderBy.CREATED_AT_DESC;
	public static final GrpcQuery QUERY = GrpcQueryTestFactory.create();
	public static final int LIMIT = 10;
	public static final int OFFSET = 12;

	public static GrpcFindVorgangRequest create() {
		return createBuilder()
				.build();
	}

	public static Builder createBuilder() {
		return GrpcFindVorgangRequest.newBuilder()
				.setLimit(LIMIT)
				.setOffset(OFFSET)
				.setQuery(QUERY)
				.setOrderBy(ORDER_BY);
	}

}
