package de.ozgcloud.apilib.vorgang.grpc;

import de.ozgcloud.apilib.vorgang.OzgCloudPostfachAddressIdentifierTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudPostfachAddressTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudServiceKontoTestFactory;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgang.GrpcPostfachAddress;
import de.ozgcloud.vorgang.vorgang.GrpcServiceKonto;

public class GrpcServiceKontoTestFactory {

	public static GrpcServiceKonto create() {
		return createBuilder().build();
	}

	public static GrpcServiceKonto.Builder createBuilder() {
		return GrpcServiceKonto.newBuilder()
				.setType(OzgCloudServiceKontoTestFactory.TYPE_STR)
				.setTrustLevel(OzgCloudServiceKontoTestFactory.TRUST_LEVEL_STR)
				.addPostfachAddresses(GrpcPostfachAddress.newBuilder()
						.setVersion(OzgCloudPostfachAddressTestFactory.VERSION)
						.setType(OzgCloudPostfachAddressTestFactory.TYPE)
						.setIdentifier(GrpcObject.newBuilder().addProperty(GrpcProperty.newBuilder()
								.setName(OzgCloudPostfachAddressIdentifierTestFactory.NAME)
								.addValue(OzgCloudPostfachAddressIdentifierTestFactory.VALUE).build())));
	}

}
